  rabbitmq:
    container_name: ${COMPOSE_PROJECT_NAME:-default}-rabbitmq
    build:
      context: ./rabbitmq/
      args:
        LINUX_ROOT_PASSWORD: ${LINUX_ROOT_PASSWORD}
    working_dir: /
    entrypoint: /usr/bin/env
    command: cmd_master.sh
    environment:
      - RABBITMQ_ERLANG_COOKIE
    volumes:
      - ./volumes-common/file/etc/rsyslog.conf:/etc/rsyslog.conf
      - ./rabbitmq/volumes/file/etc/supervisor/conf.d/supervisord.conf:/etc/supervisor/conf.d/supervisord.conf
      - ./rabbitmq/volumes/file/root/.bash_history:/root/.bash_history
      - ./rabbitmq/volumes/file/usr/local/bin/cmd_master.sh:/usr/local/bin/cmd_master.sh
      - ./rabbitmq/volumes/file/usr/local/bin/service_reinitialize.sh:/usr/local/bin/service_reinitialize.sh
      - ./rabbitmq/volumes/file/usr/local/bin/service_start.sh:/usr/local/bin/service_start.sh
    networks:
      savemetenminutes-default:
        ipv4_address: ${NETWORK_SUBNET_FIRST_AND_SECOND_OCTETS:-222.222}.${NETWORK_SUBNET_THIRD_OCTET:-222}.23
        aliases:
          - rabbitmq.${COMPOSE_PROJECT_NAME:-default}
    ports:
      - "23001:9001"
      - "23022:22"
      - "23369:4369"
      - "23671:5671"
      - "23672:5672"
      - "23572:15672"
    expose:
      - "9001"
      - "22"
      - "4369"
      - "5671"
      - "5672"
      - "15672"
